# Copyright 2026 Helmut Grohne <helmut@subdivi.de>
# SPDX-License-Identifier: LGPL-2.0-or-later


import typing


class ZstdError(Exception): ...


def ZstdFile(
    file: str | typing.BinaryIO,
    /,
    mode: typing.Literal[
        "a", "ab", "r", "rb", "w", "wb", "x", "xb"
    ] = "rb",
    level: int | None = None,
) -> typing.BinaryIO: ...
